Index: lib/style/skins/knb2/index.jsp
===================================================================
--- lib/style/skins/knb2/index.jsp	(revision 3096)
+++ lib/style/skins/knb2/index.jsp	(revision 3097)
@@ -32,6 +32,8 @@
 %>
 <%@ include file="PORTAL_SETTINGS.jsp"%>
 <%@ include file="include_session_vars.jsp"%>
+<%@ page import="edu.ucsb.nceas.metacat.MetaCatUtil" %>
+
 <%
 ///////////////////////////////////////////////////////////////////////////////
 //
@@ -101,9 +103,13 @@
         <tr>
           <td class="text_plain"><%@ include file="include_searchbox.jsp" %></td>
         </tr>
+
+	<% if ( MetaCatUtil.getOption("runSpatialOption").equals("true") ) { %>
         <tr>
           <td class="text_plain"><%@ include file="include_map.jsp" %></td>
         </tr>
+	<% } %>
+
         <tr>
           <td><img src="images/transparent1x1.gif" width="200" height="5"></td>
         </tr>
Index: lib/style/skins/default/index.jsp
===================================================================
--- lib/style/skins/default/index.jsp	(revision 3096)
+++ lib/style/skins/default/index.jsp	(revision 3097)
@@ -31,6 +31,7 @@
 %>
 <%@ include file="settings.jsp"%>
 <%@ include file="session_vars.jsp"%>
+<%@ page import="edu.ucsb.nceas.metacat.MetaCatUtil" %>
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html>
 <head>
@@ -49,10 +50,14 @@
 	  insertSearchBox();
   </script>
   <br/>
+
+  <% if ( MetaCatUtil.getOption("runSpatialOption").equals("true") ) { %>
   <script language="javascript">
 	  insertMap();
   </script>
   <br/>
+  <% } %>
+
   <script language="javascript">
 	  insertLoginBox();
   </script>
Index: lib/style/skins/knb2/include_map.jsp
===================================================================
--- lib/style/skins/knb2/include_map.jsp	(revision 3096)
+++ lib/style/skins/knb2/include_map.jsp	(revision 3097)
@@ -40,7 +40,10 @@
     <td colspan="3">
       <table width="740" border="0" cellpadding="0" cellspacing="0" class="subpanel">
        <tr><td>
-        <iframe frameborder="0" src="spatial/map.html" width="738" height="520">You need a browser that supports iframes</iframe>
+        <!-- <iframe frameborder="0" src="spatial/map.html" width="738" height="520">You need a browser that supports iframes</iframe> -->
+	<iframe frameborder="0" width="736" height="520" src="spatial/map.html">
+	You need iframe support 
+	</iframe>
        </td></tr>
       </table>
     </td>
